%def_enable resmgr

Name: submount
Version: 0.9
Release: alt5.3
%define module_name subfs
%define module_version %version
%define module_release %release
Group: System/Kernel and hardware
Summary: Auto Mounting of Removable Media
URL: http://%name.sourceforge.net/
License: %gpl2plus
Source0: %name-%version.tar.bz2
Source1: Makefile.modules
Patch0: %{name}d-0.9-fss.patch
Patch3: %{name}d-0.9-fs_options.patch
# SuSE
Patch1: %name.diff
Patch2: resmgr.diff
Patch5: fix-oops.diff
Patch7: remove-trailing-comma-in-options.diff
Patch8: hard-autodetect.diff
# ALT
Patch100: alt-mandir.patch
Patch101: alt-message.patch
Provides: %{name}d = %version-%release
Obsoletes: %{name}d
Conflicts: hal <= 0.5.3-alt4
BuildRequires: kernel-build-tools rpm-build-licenses

%description
The %name system automatically mounts and unmounts removable media
devices when their mountpoints are accessed.


%package -n kernel-source-%module_name
Group: Development/Kernel
Summary: %module_name module sources for Linux kernel

%description -n kernel-source-%module_name
%module_name module sources for Linux kernel


%prep
%setup
pushd %module_name-%module_version
%patch1 -p1
%patch5 -p1
%patch101 -p1
install -m0644 %SOURCE1 Makefile
popd
pushd %{name}d-%version
%patch0 -p1
%patch3 -p1
%patch2 -p1
%patch7 -p1
%patch8 -p1
%patch100 -p1
popd


%build
cd %{name}d-%version
%autoreconf
export AM_CFLAGS="%optflags"
%configure \
    --sbindir=/sbin \
    %{subst_enable resmgr}
%make_build


%install
%make_install -C %{name}d-%version DESTDIR=%buildroot install

install -d -m 0755 {kernel-source-%module_name-%version,%buildroot%kernel_src}
install -m 0644 %module_name-%module_version/{*.[ch],Makefile} kernel-source-%module_name-%version/
tar -c kernel-source-%module_name-%version | bzip2 --best \
    > %buildroot%kernel_src/kernel-source-%module_name-%version.tar.bz2
rm -rf kernel-source-%module_name-%version



%files
%doc %{name}d-%version/{AUTHORS,ChangeLog} README
%_man8dir/*
/sbin/*


%files -n kernel-source-%module_name
%kernel_src/*


%changelog
* Thu Feb 14 2008 Led <led@altlinux.ru> 0.9-alt5.3
- updated %{name}d-0.9-fs_options.patch
- removed fix-sig11.diff

* Thu Feb 14 2008 Led <led@altlinux.ru> 0.9-alt5.2
- added %{name}d-0.9-fs_options.patch

* Thu Feb 14 2008 Led <led@altlinux.ru> 0.9-alt5.1
- replaced floppyfss-types.diff with %{name}d-0.9-fss.patch
- cleaned up spec
- fixed License

* Mon Jun 19 2006 Sergey V Turchin <zerg at altlinux dot org> 0.9-alt5
- removed policy and script for hal

* Fri Jul 22 2005 Anton Farygin <rider@altlinux.ru> 0.9-alt4.2
- hal policy: disabled unmounting subfs cdroms and floppy
- mount-hal-fs: do not mount already mounted filesystem

* Thu Jul 21 2005 Anton Farygin <rider@altlinux.ru> 0.9-alt4.1
- added policy and script for hal

* Wed Jun 01 2005 Sergey V Turchin <zerg at altlinux dot org> 0.9-alt4
- merge patches with SuSE

* Wed Jul 14 2004 Sergey V Turchin <zerg at altlinux dot org> 0.9-alt3
- fix package description

* Tue May 11 2004 Sergey V Turchin <zerg at altlinux dot org> 0.9-alt2
- initial spec
- add patches from SuSE
- bump release
